package com.cirle.scientific.controller.live.resp;


import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Calendar;

@Data
@Builder
public class LiveUserinfoResp {

    @ApiModelProperty(value = "微信昵称")
    private String wxName;
    @ApiModelProperty(value = "微信头像")
    private String wxHeadImg;
    @ApiModelProperty(value = "直播标题")
    private String liveTitle;
    @ApiModelProperty(value = "直播封面")
    private String liveCoverImg;
    @ApiModelProperty(value = "直播时间")
    private String liveBeginTime;

}
