package com.cirle.scientific.dao;

import com.cirle.scientific.po.Dict;
import com.cirle.scientific.po.QkjMember;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

public interface DictDao extends PagingAndSortingRepository<Dict, Long>, JpaSpecificationExecutor<Dict> {


    @Query(value = "select * from sys_dict  where name = ?1",nativeQuery = true)
    Dict findDictByName(String dictName);
}
