package com.cirle.scientific.dao;

import com.cirle.scientific.po.QkjCommunity;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface QkjCommunityDao  extends PagingAndSortingRepository<QkjCommunity, Long>, JpaSpecificationExecutor<QkjCommunity> {

    @Query(value = "select * from qkj_community where stauts = 0 ", nativeQuery = true)
    List<QkjCommunity> getQrImg();
}
