package com.cirle.scientific.dao;

import com.cirle.scientific.po.QkjLiveRemind;
import com.cirle.scientific.po.QkjLiveSeries;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Repository;

import java.math.BigInteger;
import java.util.List;


@Repository
public interface QkjLiveSeriesDao extends PagingAndSortingRepository<QkjLiveSeries, Long>, JpaSpecificationExecutor<QkjLiveSeries> {

	List<QkjLiveSeries> findByLiveId(Integer liveId);

}
