package com.cirle.scientific.dao;


import com.cirle.scientific.po.QkjSignatrue;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import javax.transaction.Transactional;


@Transactional(rollbackOn = Exception.class)
public interface SignatrueDao extends PagingAndSortingRepository<QkjSignatrue, Long>, JpaSpecificationExecutor<QkjSignatrue> {

    @Query(value = "select * from qkj_signatrue where mem_card = ?1 and conference_id = ?2 and status = 0 ", nativeQuery = true )
    QkjSignatrue selectByMemCard(String memCard,String conferenceId);
}
