package com.cirle.scientific.dao;

import com.cirle.scientific.po.QkjMember;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

public interface UserDao  extends PagingAndSortingRepository<QkjMember, Long>, JpaSpecificationExecutor<QkjMember> {


    @Query(value = "select * from qkj_member where mem_status = 0 and mem_card = ?1",nativeQuery = true)
    QkjMember findUserByMemCard(String memCard);
}
