package com.cirle.scientific.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;


@Data
@ApiModel
public class QkjMemberPersonalAuthDto implements Serializable {

    private Long id;

    private String memCard;
    private String memRealName;
    private Integer memSex;
    private String memExp;

    // 身份证号码
    private String memIdentityId;
    private Date authTime;
    private String detailedAddress;
    private String memAddr;
    private Integer status;
    private String unitName;
    private String department;//科室
    /*
     *
     * @author DeMin update
     * @date 2022/6/10 13:10
     */
    private String email;
    private Integer documentType;
    private String documentNumber;
    private Integer degree;
    private Integer bachelorDegree;
    private Integer occupationType;
    private Integer unitArea;
    private String unitAddress;
    private String specialization;
    private String province;
    private String city;

}
