package com.cirle.scientific.dto;

import com.cirle.scientific.po.QkjTags;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class QkjRecommendDTO implements Serializable {

	private static final long serialVersionUID = 5437580490006662130L;

	private long recoId;
	private String rcmdTitle;
	private String rcmdImgpath;
	private Integer rcmdType;
	private String rcmdObjId;
	private String rcmdObjPid;
	private String rcmdUrl;
	private String rcmdDetailImg;
	private String wxaPath;
	private String wxaAppId;
	private String rcmdDesc;
	private Integer sortNum;
	private Integer numOne;//埋点用的
	private String shareImg;
	private Double price;
	private Integer point;

	private Integer zqFlag = 0;
	private Integer objStatus = 0;
	private String time;
	private String time1;
	private Integer isSell = 0;
	private List<QkjTags> tags;
	private Integer artType;
	private String artContent;
	private String subTitle;
	private String author;//文章作者
	private Integer click = 0; //阅读数
}
