package com.cirle.scientific.dto;


import io.swagger.annotations.ApiModelProperty;

import lombok.Data;

import java.util.Date;


@Data
public class QkjSignatrueDto {


    @ApiModelProperty(value = "会议的id")
    private Integer conferenceId;

    @ApiModelProperty(value = "模板id")
    private Integer formId;

    @ApiModelProperty(value = "乙方")
    private String partyB;

    @ApiModelProperty(value = "身份证")
    private String identityId;

    @ApiModelProperty(value = "讲课内容")
    private String courseMatter;

    @ApiModelProperty(value = "讲课时间")
    private String courseTime;

    @ApiModelProperty(value = "讲课的地点")
    private String courseSite;

    @ApiModelProperty(value = "费用")
    private String m;

    @ApiModelProperty(value = "开户行省市")
    private String bankProvince;

    @ApiModelProperty(value = "开户行名称")
    private String bankOfDepositName;

    @ApiModelProperty(value = "银行卡号")
    private String bankId;

    @ApiModelProperty(value = "户名")
    private String bankName;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "签名图片")
    private String signImg;

    @ApiModelProperty(value = "状态 0: 正常 , 1: 删除")
    private Integer isSubmit;

    @ApiModelProperty(value = "签名日期")
    private String signTime;

}
