package com.cirle.scientific.pojo;

public enum BizCodeEnum {

    VAILD_EXCEPTION(10001,"参数格式错误"),
    TO_MANY_REQUEST(10002,"请求流量过大，请稍后再试"),
    MEM_CARD_ERROR(10003, "未查到用户memcard"),
    MEM_REPEAT_ERROR(10004, "请勿重复操作"),
    DATA_EMPTY(10005, "查询数据为空"),
    NO_PUBLISH_AUTHORITY(10006, "没有发布动态的权限"),
    PUBLISH_AUTHORITY(10007, "有发布动态的权限"),
    NO_FIND_TQCROUSE(10009, "找不到课程，解锁失败"),
    UPLOAD_IMG_ERROR(10010, "找不到课程，解锁失败"),
    NO_EN_NUM(10010, "钥匙数量不足，解锁失败"),
    CODE_TIME_OUT(10011, "验证码已过期"),
    CODE_ERROR(10012, "验证码错误"),
    NEED_WX(10013, "绑定微信"),
    SMRZ_END(10014, "已经实名认证"),
    CRAD_USE(10015, "身份证号已被使用"),
    BUS_USE(10016, "执业编码已被使用"),
    NO_LOGIN(10008, "该用户未登录"),
    NO_LOGIN_REPLACE(10029, "您的账号在另一台设备登录，如需继续使用，请重新登录"),
    SUCCESS(200, "操作成功"),
    FAILED(500, "操作失败"),
    VALIDATE_FAILED(404, "未找到方法"),
    LEARNING_RECORD(10021, "暂无学习记录"),
    INSUFF_ICIENT(10023, "积分不足"),
    SIGN_NOT_IN(10022, "已签到,无法重复签到"),
    PASSWD_ERROR(10024, "密码错误"),
    NO_REGISTER(10025, "用户名错误或该用户未注册,请注册后再登录"),
    ERROR_REGISTER(10026, "该用户已注册,请登录"),
    PARAM_NULL(10027,"必填参数不可为空"),
    SUBMIT_AGAIN(10028,"提交之后请勿再次提交"),
    NAME_REPEAT(10030,"用户名重复"),
    PHONE_REGISTER(10031,"手机号已注册"),
    REPEAT_PURCHASE(10029,"请勿重复购买/领取");

    private Integer code;

    private String message;

    BizCodeEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
