package com.cirle.scientific.questionnaire;

@SuppressWarnings("unused")
public class README {

    /*
     * com.cirle.scientific.questionnaire 包由ximinghui新加于2022-07-05
     *
     * 该包是通用的“问卷”功能的代码集合。
     *
     * 一个问卷（如基层医疗机构医疗服务基本病种（66种）调研）相当于一张试卷，它包含判断、单选、多选、问答类
     * 型的若干问题，但问卷和问题不直接关连。多个问题形成一个问题组，多个问题组组成一份完整的问卷。所有用户
     * 的每一次答案提交都会完整的保存在问卷调查问题答案表（questionnaire_survey_question_answer）中。
     *
     *
     * 包结构说明
     * controller       控制层，涵盖“问卷”相关的API接口；
     * service          服务层，涵盖“问卷”相关的业务功能实现；
     * repository       数据仓库，提供“问卷”相关的数据持久化功能（无需关注底层数据库）；
     * entity           业务数据模型，所有“问卷”相关的业务数据模型定义；
     * dto              传输数据模型，一些内部传输数据模型定义和API接口入参的数据模型定义；
     * valueobject      API数据模型，所有“问卷”相关的API接口数据返回模型定义；
     * exception        自定义异常，“问卷”业务相关的异常定义；
     * exception.handle 异常处理，集中处理“问卷”相关的异常，并以用户友好的方式返回接口异常描述；
     * cache            简单缓存，提高“问卷”查询效率；
     * queue            简单队列，提高”答案“提交性能；
     * initialization   功能初始化，用于初始化缓存、队列等特性。
     */

}
