package com.cirle.scientific.utils;

import java.time.format.DateTimeFormatter;

/**
 * Date Pattern Const
 *
 * @author heihaier@mmears.com
 * Date: 2018/8/27
 * Time: 下午8:13
 */
public final class DatePatternConst {

    private DatePatternConst() {

    }

    public static final String DATE_PATTERN = "yyyy-MM-dd";

    public static final String DATE_TIME_PATTERN = "yyyy-MM-dd HH:mm:ss";

    public static final String DATE_TIME_STAMP = "yyyyMMddHHmmss";

    public static final String DATE_MILLI_SECOND = "yyyyMMddHHmmssSSS";


    public static final String DATE_TIME_STAMP_WITHOUT_SECOND = "yyyyMMddHHmm";

    public static final String DATE_TIME_HOUR = "yyyyMMddHH";

    public static final String DATE_STAMP = "yyyyMMdd";
    public static final String DATE_STAMP_TWO = "yyMMdd";

    public static final String TIME_PATTERN = "HH:mm:ss";

    public static final String TIME_PATTERN_WITHOUT_SECOND = "HH:mm";

    public static final String YEAR_MONTH = "yyyy-MM";

    public static final String YEAR_MONTH_NEW = "yyyyMM";

    public static final String DATE_AM_PM = "HH:mm a";

    public static final String DATE_TIME = "yyyy年MM月dd日 HH:mm";

    public static final String DATE = "yyyy年MM月dd日";

    public static final String DATE_TIME_MINUTE = "MM月dd日HH:mm:ss";


    public static final DateTimeFormatter DATE_TIME_FORMATTER = DateTimeFormatter.ofPattern(DATE_TIME_PATTERN);

    public static final DateTimeFormatter DATE_TIME_STAMP_FORMATTER = DateTimeFormatter.ofPattern(DATE_TIME_STAMP);

    public static final DateTimeFormatter DATE_MILLI_SECOND_FORMATTER = DateTimeFormatter.ofPattern(DATE_MILLI_SECOND);


    public static final DateTimeFormatter DATE_TIME_STAMP_WITHOUT_SECOND_FORMATTER = DateTimeFormatter.ofPattern(DATE_TIME_STAMP_WITHOUT_SECOND);

    public static final DateTimeFormatter DATE_STAMP_FORMATTER = DateTimeFormatter.ofPattern(DATE_STAMP);

    public static final DateTimeFormatter TIME_FORMATTER = DateTimeFormatter.ofPattern(TIME_PATTERN);

    public static final DateTimeFormatter DATE_FORMATTER = DateTimeFormatter.ofPattern(DATE_PATTERN);

    public static final DateTimeFormatter YEAR_MONTH_FORMATTER = DateTimeFormatter.ofPattern(YEAR_MONTH);

    public static final DateTimeFormatter DATE_AM_PM_FROMATTER = DateTimeFormatter.ofPattern(DATE_AM_PM);

    public static final DateTimeFormatter DATE_TIME_PATTERN_FORMATTER = DateTimeFormatter.ofPattern(TIME_PATTERN_WITHOUT_SECOND);

    public static final DateTimeFormatter DATE_TIME_WITHOUT_SECOND = DateTimeFormatter.ofPattern(TIME_PATTERN_WITHOUT_SECOND);

}
