package com.cirle.scientific.utils.page;

import java.io.Serializable;

/**
 * 带分页返回结果封装类
 * @since JDK1.8
 */
public class ResultPage implements Serializable{
private static final long serialVersionUID = 1L;
	private Object data;
	private Boolean success=true;
	private String msg;
	private String code = "200";

	private long totalCount;
    private int totalPage;
    private int pageSize;// 每页记录数
    private int currentPage; // 当前页
	private int count;//总条数，不计入搜索条件
	private String totalData;

	public ResultPage() {
	}


	public ResultPage(Object data, Boolean success, String code, long totalCount, int totalPage, int pageSize, int currentPage) {
		super();
		this.data = data;
		this.success = success;
		this.code = code;
		this.totalCount = totalCount;
		this.totalPage = totalPage;
		this.pageSize = pageSize;
		this.currentPage = currentPage;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Boolean getSuccess() {
		return success;
	}

	public void setSuccess(Boolean success) {
		this.success = success;
	}

	public Object getData() {
		return data;
	}

	public void setData(Object data) {
		this.data = data;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public long getTotalCount() {
		return totalCount;
	}

	public void setTotalCount(long totalCount) {
		this.totalCount = totalCount;
	}

	public int getTotalPage() {
		return totalPage;
	}

	public void setTotalPage(int totalPage) {
		this.totalPage = totalPage;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public int getCurrentPage() {
		return currentPage;
	}

	public void setCurrentPage(int currentPage) {
		this.currentPage = currentPage;
	}

	public int getCount() {
		return count;
	}

	public void setCount(int count) {
		this.count = count;
	}

	public String getTotalData() {
		return totalData;
	}

	public void setTotalData(String totalData) {
		this.totalData = totalData;
	}
}
