package com.cirle.scientific.utils.weixin;

/**
 * @author Administrator
 *
 */
public class WeiXinPay {

	// 公众账号ID
	public String appId;
	// AppSecret(应用密钥)
	public String appSecret;
	// 商户号
	public String mchId;
	// 微信服务号-商户平台-公众号支付请求中用于加密的密钥Key，可验证商户唯一身份 
	public String apiKey;
	// 设备号:终端设备号(游戏wap支付此字段必传)
	public String deviceInfo;
	// 随机字符串
	public String nonceStr;
	// 商户订单号
	public String outTradeNo;
	// 商品ID
	public String productId;
	// 商品描述
	public String body;
	// 商品详情
	public String detail;
	// 附加数据
	public String attach;
	// 总金额
	public int totalFee;
	// 货币类型
	public String feeType;
	// 终端IP
	public String spbillCreateIp;
	// 交易起始时间
	public String timeStart;
	// 交易结束时间
	public String timeExpire;
	// 交易起始时间
	public String goodsTag;
	// 交易类型
	public String tradeType;
	// 用户标识
	public String openId;
	// 时间戳
	public String timeStamp;
	// 签名方式
	public String signType;
	// 下单后返回凭证
	public String packages;
	//校验用户姓名选项
	public String checkName;
	//收款用户姓名
	public String reUserName;
	//金额
	public Integer amount;
	//企业付款描述信息
	public String desc;
	//微信返回的支付交易会话ID
	public String prepayid;
	//支付ip
	public String ip;
	//微信授权后返回的code
	public String code;
	
	//该字段用于上报支付的场景信息,针对H5支付有以下三种场景,请根据对应场景上报
	public String sceneInfo;
	
	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public String getMchId() {
		return mchId;
	}

	public void setMchId(String mchId) {
		this.mchId = mchId;
	}

	public String getDeviceInfo() {
		return deviceInfo;
	}

	public void setDeviceInfo(String deviceInfo) {
		this.deviceInfo = deviceInfo;
	}

	public String getNonceStr() {
		return nonceStr;
	}

	public void setNonceStr(String nonceStr) {
		this.nonceStr = nonceStr;
	}

	public String getBody() {
		return body;
	}

	public void setBody(String body) {
		this.body = body;
	}

	public String getDetail() {
		return detail;
	}

	public void setDetail(String detail) {
		this.detail = detail;
	}

	public String getAttach() {
		return attach;
	}

	public void setAttach(String attach) {
		this.attach = attach;
	}

	public String getOutTradeNo() {
		return outTradeNo;
	}

	public void setOutTradeNo(String outTradeNo) {
		this.outTradeNo = outTradeNo;
	}

	public String getFeeType() {
		return feeType;
	}

	public int getTotalFee() {
		return totalFee;
	}

	public void setTotalFee(int totalFee) {
		this.totalFee = totalFee;
	}

	public void setFeeType(String feeType) {
		this.feeType = feeType;
	}

	public String getSpbillCreateIp() {
		return spbillCreateIp;
	}

	public void setSpbillCreateIp(String spbillCreateIp) {
		this.spbillCreateIp = spbillCreateIp;
	}

	public String getTimeStart() {
		return timeStart;
	}

	public void setTimeStart(String timeStart) {
		this.timeStart = timeStart;
	}

	public String getTimeExpire() {
		return timeExpire;
	}

	public void setTimeExpire(String timeExpire) {
		this.timeExpire = timeExpire;
	}

	public String getGoodsTag() {
		return goodsTag;
	}

	public void setGoodsTag(String goodsTag) {
		this.goodsTag = goodsTag;
	}

	public String getTradeType() {
		return tradeType;
	}

	public void setTradeType(String tradeType) {
		this.tradeType = tradeType;
	}

	public String getProductId() {
		return productId;
	}

	public void setProductId(String productId) {
		this.productId = productId;
	}

	public String getOpenId() {
		return openId;
	}

	public void setOpenId(String openId) {
		this.openId = openId;
	}

	public String getTimeStamp() {
		return timeStamp;
	}

	public void setTimeStamp(String timeStamp) {
		this.timeStamp = timeStamp;
	}

	public String getSignType() {
		return signType;
	}

	public void setSignType(String signType) {
		this.signType = signType;
	}

	public String getPackages() {
		return packages;
	}

	public void setPackages(String packages) {
		this.packages = packages;
	}

	public String getCheckName() {
		return checkName;
	}

	public void setCheckName(String checkName) {
		this.checkName = checkName;
	}

	public Integer getAmount() {
		return amount;
	}

	public void setAmount(Integer amount) {
		this.amount = amount;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

	public String getReUserName() {
		return reUserName;
	}

	public void setReUserName(String reUserName) {
		this.reUserName = reUserName;
	}

	public String getPrepayid() {
		return prepayid;
	}

	public void setPrepayid(String prepayid) {
		this.prepayid = prepayid;
	}

	public String getApiKey() {
		return apiKey;
	}

	public void setApiKey(String apiKey) {
		this.apiKey = apiKey;
	}

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getAppSecret() {
		return appSecret;
	}

	public void setAppSecret(String appSecret) {
		this.appSecret = appSecret;
	}

	public String getSceneInfo() {
		return sceneInfo;
	}

	public void setSceneInfo(String sceneInfo) {
		this.sceneInfo = sceneInfo;
	}
	
}
