Vue.config.devtools = true;
var v = new Vue({
    el:".container",
    data:{
        list:[],
        isLogin: 0,
        memToken: '',
        memHeadImg: '',
        userJf:-1,
        start:1,
        size:10,
        finished:false,
        loading:false,//出现了 上拉到底出发了两次请求接口的情况  加一个变量控制一下
        integralType: "",
        integralCount: "",
    },
    created:function (){
        var that = this;
        if(!checkLogin()){
            // goLogin();
            return false;
        }
        if($.cookie("memToken")){
            that.memToken = $.cookie("memToken");
            that.isLogin=1;
        }
        if($.cookie("memHeadImg")){
            that.memHeadImg = $.cookie("memHeadImg");
        }
        that.findUserStudyRecord();
        that.findUserIntegral();
        window.addEventListener("scroll", this.scrollBottom, true);
    },
    mounted:function (){
        setTimeout(() => {
            $(".loading-item").fadeOut(200);
        },500)
    },
    methods:{
        gotoDetails(item){
            if (item.objType == 7) {
                window.location.href = serverHttp + "/course/courseDetails?from=H5&id="+item.qkjTqcourse.id;
            } else {
                window.location.href = serverHttp + '/live/detail?from=H5&liveId='+item.qkjLive.id;
            }

        },
        findUserIntegral (){
            var that = this;
            $.ajax({
                type : 'POST',
                url : serverHttp+"/user/findUserIntegral",
                data : {
                    memToken:that.memToken
                },
                success : function(data) {
                    if (data.code == 200) {
                        that.userJf = data.data;
                    }
                },
                error : function(data) {
                }
            });
        },
        findUserStudyRecord (){
            var that = this;
            if (that.loading) {
                return ;
            }
            that.loading = true;
            if(that.start == 1){
                that.list = []
            }
            $.ajax({
                type : 'POST',
                url : serverHttp+"/user/findUserStudyRecord",
                data : {
                    memToken:that.memToken,
                    start:that.start,
                    size:that.size,
                },
                success:function (data) {
                    if (data.code == 200) {
                        that.list = that.list.concat(data.data);
                        // 请求的数据未加载完成时
                        that.start = that.start + 1;
                        that.loading = false;
                    } else if (data.code == 10005) {
                        that.finished = true;
                    }
                }
            })
        },
        scrollBottom() {
            const that = this;
            // 滚动到页面底部时
            const el = document.getElementById("list");
            const elHeight = $("#list").offset()['top'];//元素距离顶部距离 该计算可能会有一些偏差
            const windowHeight = window.screen.height*750/window.screen.width;
            const scrollTop =
                document.documentElement.scrollTop || document.body.scrollTop;
            const contentHeight = el.clientHeight;
            //316为
            const toBottom = contentHeight - windowHeight - scrollTop-elHeight;
            if (toBottom < 10 && !that.finished) {
                that.findUserStudyRecord();
            }
        },
        getWidth(width){
            return "width:"+width+"%";
        }
    }
})
