package com.cirle.scientific.dao;


import com.cirle.scientific.po.QkjArticle;
import com.cirle.scientific.po.QkjConferenceMenu;
import com.cirle.scientific.po.QkjLive;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface QkjConferenceMenuDao extends PagingAndSortingRepository<QkjConferenceMenu, Long>, JpaSpecificationExecutor<QkjConferenceMenu> {

    List<QkjConferenceMenu> findByConferIdOrderBySqnAsc(Integer conferId);
}