package com.cirle.scientific.dao;




import com.cirle.scientific.po.QkjExaminationDetail;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

public interface QkjExaminationDetailDao  extends PagingAndSortingRepository<QkjExaminationDetail, Long>, JpaSpecificationExecutor<QkjExaminationDetail> {


    @Query(value = "select ex_id from qkj_examination_detail where obj_type = ?1 and obj_id = ?2 and state = 0",nativeQuery = true)
    Integer findExIdByObjTypeAndObjId(int objType , int objId);

}
