package com.cirle.scientific.dao;

import com.cirle.scientific.po.QkjMemberPersonalAuth;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

public interface QkjMemberPersonalAuthDao extends PagingAndSortingRepository<QkjMemberPersonalAuth, Long>, JpaSpecificationExecutor<QkjMemberPersonalAuth> {

    @Query(value = "select  * from  qkj_member_personal_auth where mem_card = ?1", nativeQuery = true)
    QkjMemberPersonalAuth findByMemCard(String memCard);

    @Query(value = "select  * from  qkj_member_personal_auth where mem_identity_id = ?1", nativeQuery = true)
    QkjMemberPersonalAuth checkCard(String card);

}
