package com.cirle.scientific.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.cirle.scientific.po.QkjPositions;

public interface QkjPositonsDao
						extends PagingAndSortingRepository<QkjPositions, Long>, JpaSpecificationExecutor<QkjPositions> {
	
	@Query(value = "SELECT * FROM qkj_positions WHERE p_posid = ?1 order by sqn DESC" ,nativeQuery = true)
	List<QkjPositions> findBypPosId(Integer pid);

}
