package com.cirle.scientific.dao;

import com.cirle.scientific.po.QkjTagsDetail;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

public interface QkjTagsDetailDao extends PagingAndSortingRepository<QkjTagsDetail, Long>, JpaSpecificationExecutor<QkjTagsDetail> {

    @Modifying
    @Query(value = "delete from qkj_tags_detail where obj_id = ?1 and obj_type = ?2",nativeQuery = true)
    void deleteByObjIdAndObjType(Long objId, int type);
}
