package com.cirle.scientific.dto;

import com.cirle.scientific.po.QkjConferenceMenu;
import com.cirle.scientific.po.QkjQuestionAnswer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.LinkedList;
import java.util.List;

@Data
public class QkjConferencePeopleDTO implements Serializable {

	@ApiModelProperty(value = "主键id")
	private Long id;

	@ApiModelProperty(value = "姓名")
	private String name;

	@ApiModelProperty(value = "手机号")
	private String mobile;

	@ApiModelProperty(value = "问卷")
	List<QkjQuestionAnswer> questionAnswers = new ArrayList<>();
}
