package com.cirle.scientific.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Calendar;
import java.util.List;

@Data
@ApiModel
public class QkjMemberDto implements Serializable {

	private static final long serialVersionUID = -6764082986803883888L;

    private Long id;
	
	private String memCard;
	private String memNickname;
	private String memo;
	private String memMobile;
	private String memHeadimg;
	private Integer memRegisterSource;
	private Calendar memRegisterTime;
	private Calendar memLastloginTime;
	private Integer memStatus = 0;
	private Integer columnistFlag = 0;
	private String wxId;
	private Integer smrzFlag = 0; //实名认证  0-未认证 1-已认证
	private Integer ysrzFlag = 0; //医师认证  0-未认证 1-已认证
	private Integer subscribe = 0;
	private Integer siginDays;
	private Integer siginStatus;
	private Integer memTotalPoints = 0;
	private Integer memResidualPoints = 0;
	private Integer days;
	private List<DaliyCheckInDTO>  sign;
	private Integer dayPoints;
}