//package com.cirle.scientific.job;
//
//import com.cirle.scientific.dao.Qkj/LiveDao;
//import com.cirle.scientific.po.QkjLive;
//import com.cirle.scientific.service.LiveService;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.context.annotation.Configuration;
//import org.springframework.scheduling.annotation.EnableScheduling;
//import org.springframework.scheduling.annotation.Scheduled;
//
//import java.io.IOException;
//import java.text.SimpleDateFormat;
//import java.util.*;
//
//@Slf4j
//@Configuration
//@EnableScheduling
//public class AddScoreSchedule {
//
//
//
//    @Autowired
//    LiveService liveService;
//
//    @Autowired
//    private QkjLiveDao qkjLiveDao;
//
//    @Scheduled(cron = "0,30 * * * * ?") // 每30秒执行一次
//    public void clear() throws IOException {
//        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
//        System.out.println("---start AddScoreSchedule "+format.format(new Date()));
//        //遍历所有的直播数据，每30秒加一下分数，
//       // 有个定时器，30秒执行一次，定时去累加所有直播的学习人数。随机加50-100
//       // 最大数量不能超过100000
//       // 定时器会遍历所有的直播，并且过滤只有正在直播，并且当前时间处于起始时间介于结束时间之间的直播。 专区的数量是儿子的累计，自己不累加。
//        List<QkjLive> list = qkjLiveDao.findMy();
//        for(QkjLive live:list){
//            if(live.getLiveType()==2){//专区
//                continue;
//            }
//            if(live.getLiveStatus()!=1){//非正在播出的视频，退出
//                continue;
//            }
//            //
//            int i=(int)(50*Math.random())+50;
//            if(live.getPurchasedMembers()<1000000){
//                live.setPurchasedMembers(live.getPurchasedMembers()+i);
//            }
//            qkjLiveDao.save(live);
//           // System.out.println("add live1.."+live.getId()+" getPurchasedMembers="+live.getPurchasedMembers());
//        }
//
//        //最后，只处理专区，专区就是把儿子的加到自己身上
//        for(QkjLive live:list){
//            if(live.getLiveType()==2){//专区,
//                List<QkjLive> lives = qkjLiveDao.findSonList(live.getId().intValue(), 0, 10000);
//                if(lives.size()<=0){
//                    continue;
//                }
//                int count = 0;
//                for(QkjLive son : lives){
//                    count+=son.getPurchasedMembers();
//                }
//                live.setPurchasedMembers(count);
//                qkjLiveDao.save(live);
//               // System.out.println("add live2.."+live.getId()+" getPurchasedMembers="+live.getPurchasedMembers());
//            }
//        }
//        System.out.println("---end AddScoreSchedule "+format.format(new Date())+" size="+list.size());
//    }
//
//}
