package com.cirle.scientific.service;

import com.cirle.scientific.po.QkjMemberTask;
import com.cirle.scientific.pojo.Result;

import java.text.ParseException;

public interface MemberTaskInfoService {


    /**
     * 根据任务ID赠送积分（暂时只使用赠送首次登陆任务）
     * @param memCard 用户ID
     * @param taskId 任务ID
     * @return 赠送结果
     * @throws ParseException
     */
    boolean increasePoints(String memCard, Integer taskId);


    /**
     * 判断是否增加过首次登陆任务积分没有赠送过则赠送
     * @param memCard 用户ID
     * @return 是否增加过首次登陆的200积分
     */
    boolean whetherFinishFirstLoginTask(String memCard);

    /**
     * 登录时初始化积分表
     * @param memCard
     * @return
     */
    boolean initMemberTaskInfo(String memCard);


}
