package com.cirle.scientific.service;

import com.cirle.scientific.pojo.Result;

public interface PopuWindowService {

    /**
     * 查询登录用户是否需要弹窗
     *
     * @param id
     * @param inType
     * @param memCard
     * @return
     */
    Result checkWindow(Long id, Integer inType, String memCard);

    /**
     * 查询登录用户是否需要弹窗
     *
     * @param id
     * @param idType
     * @param memCard
     * @return
     */
    Result checkWindowNew(Long id, Integer idType, String memCard);

    /**
     * 判断是否弹出调查问卷接口
     * @param id
     * @param idType
     * @param memCard
     * @return
     */
    Result checkWindowQuestion(Long id, Integer idType, String memCard);
}
