package com.cirle.scientific.utils.page;

/**
 * 
 * <p>
 * 类名：参数类 描述：本类主要用于存放检索查询所用的参数变量和值
 * </p>
 * 
 * @author wangd
 * 
 */
public class Param {
	/** 参数名称 -为hibernate的映射类的字段名 */
	private String paramName;
	/** 参数值 */
	private Object paramValue;
	/** 操作符 -目前支持= > < like in等操作 */
	private String operator;

	public Param() {
	}

	public Param(String paramName, Object paramValue, String operator) {
		this.paramName = paramName;
		this.paramValue = paramValue;
		this.operator = operator;
	}

	public String getOperator() {
		return operator;
	}

	public void setOperator(String operator) {
		this.operator = operator;
	}

	public String getParamName() {
		return paramName;
	}

	public void setParamName(String paramName) {
		this.paramName = paramName;
	}

	public Object getParamValue() {
		return paramValue;
	}

	public void setParamValue(Object paramValue) {
		this.paramValue = paramValue;
	}
}
